openSUSE Tumbleweed revisión semana 44 de 2016

openSUSE Tumbleweed es una distribución “Rolling Release” en desarrollo continuo. Aqui puedes estar al tanto de las últimas novedades.

Tumbleweed

Una nueva revisión de lo que ha acontecido esta semana en openSUSE Tumbleweed la versión “rolling release” o de actualización continua de la distribución de GNU/Linux openSUSE.

El anuncio original lo puedes leer en el blog de Dominique Leuenberger, en este enlace:

Las ISO’s son instalables, pero si ya estás disfrutando de openSUSE Tumbleweed en tu equipo, simplemente deberás actualizarlo mediante “zypper up” para disfrutar de esas actualizaciones.

Durante esta semana pasada se publicó openSUSE Leap 42.2RC2, y en Tumbleweed  son 4 las “snapshots” publicadas: 1028, 1031, 1101 y 1102. Demos un repaso a lo más notorio de esas snapshots:

  • Flatpak 0.6.13 – ya hay algunos “flatpaks” para probar
  • KDE Frameworks 5.27.0
  • gnome-software 3.22.1 – por supuesto con soporte integrado para flatpak
  • libqt5-qtwebengine deshabilita el uso de gpu en nouveau/opengl

Y como ya sabes, también hay cosas que están a la vuelta de la esquina y que se esperan para próximas actualizaciones, por ejemplo:

  • Samba 4.5.0
  • KDE Plasma 5.8.3
  • Mesa 13.0
  • Seguramente habrá una actualización del kernel para la esta semana
  • linux-glibc-devel 4.8

Mantente actualizado y ya sabes: Have a lot of fun!!

Enlaces de interés

Geeko_ascii

——————————–

16 pensamientos en “openSUSE Tumbleweed revisión semana 44 de 2016

  1. Hola Victor: Cómo estás, te escribo para consultarte… estoy trasteando con Tumbleweed despues de tanto leer tu blog y ver otras paginas de Internet, si todo sale bien esta semana será mi primer semana que lleve con esta “rama” de oS.

    Quisiera consultarte (para no hacerla muy larga), me puse este fin de semana a quitar cosas de KDE que realmente no preciso, como los juegos y otros aplicativos de chats, etc… digamos que me puse a dejar a mi gusto el escritorio, y ayer lunes (cdo regreso del trabajo) me puse un rato mas a seguir probando el sistema, finalmente antes de apagar el portatil ingrese por consola y puse los comandos “zypper up” lo cual me actualizo algunos paquetes, y posteriormente se me ocurrió tipear el comando “zypper dup” y actualizó otro resto de paquetes pero adicionalmente me volvió a aparecer y finalmente los paquetes “kde-games” y otros tantos que el día anterior yo a mano había desinstalado.

    ¿Cómo puede ser que me vuelva a instalar los paquetes que no quiero que estén? ¿Te ha pasado esto?

    • Hola.
      No me suena de que me haya pasado.

      zypper up actualiza los paquetes de tu sistema. Los paquetes que tengas instalados los actualiza a las nueva versiones que haya disponibles en los repositorios.

      zypper dup hace una actualización del sistema, cambiando de proveedores de repositorios si fuera necesario.

      Yo siempre utilizo la opción de up. con dup incluso puede que alguna vez para satisfacer alguna dependencia incluso baje la versión a otra inferior de paquetes que tengas instalados.

      Sólo hago zypper dup en la versión Leap cuando quiero actualizar de una versión a otra, cambiando el nombre de los repositorios, etc…

      Saludos.

  2. Victor: Me puse de nuevo a sacar paquetes que no utilizo y al leer tu respuesta me anime de nuevo a largar el comando “zypper dup” y esto es lo que me mostro, lo cual le di cancelar y de ahora en mas entonces haré el “zypper up”
    #
    #
    #
    toshiba:~ # zypper dup
    Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue. See ‘man zypper’ for more information about this command.
    Loading repository data…
    Reading installed packages…
    Computing distribution upgrade…

    The following 9 applications are going to be installed:
    “Dragon Player” “Hugin Batch Processor” “Hugin Calibrate Lens” “Hugin Panorama Creator” “LibreOffice Base” “LibreOffice Calc” “LibreOffice Draw” “LibreOffice Impress” “LibreOffice Writer”

    The following 68 NEW packages are going to be installed:
    akonadi_resources akregator5 amarok dragonplayer hugin kaddressbook5 kdebase4-libkonq kdepim kdepim-addons kdepim-runtime kmahjongg kmail5 kmailtransport kmines knotes5 konqueror
    konqueror-plugins kontact5 konversation konversation-lang kopete korganizer5 kpat kreversi kscd ksudoku libKF5AkonadiCalendar5 libKF5CalendarSupport5 libKF5EventViews5 libKF5IncidenceEditor5
    libKF5KontactInterface5 libKF5MailCommon5 liba52-0 libdca0 libmpeg2-0 libmythes-1_2-0 libpostproc53 libreoffice libreoffice-base libreoffice-base-drivers-mysql libreoffice-branding-upstream
    libreoffice-calc libreoffice-calc-extensions libreoffice-draw libreoffice-filters-optional libreoffice-icon-theme-breeze libreoffice-icon-theme-galaxy libreoffice-icon-theme-hicontrast
    libreoffice-icon-theme-oxygen libreoffice-icon-theme-sifr libreoffice-impress libreoffice-kde4 libreoffice-l10n-en libreoffice-l10n-es libreoffice-mailmerge libreoffice-math
    libreoffice-pyuno libreoffice-share-linker libreoffice-writer libreoffice-writer-extensions messagelib patterns-openSUSE-games patterns-openSUSE-kde_games skanlite skanlite-lang tigervnc
    vlc-codecs vlc-lang

    The following 2 NEW patterns are going to be installed:
    games kde_games

    The following package is going to be upgraded:
    vlc-codec-gstreamer

    The following package is going to change vendor:
    vlc-codec-gstreamer openSUSE -> http://packman.links2linux.de

    1 package to upgrade, 68 new, 1 to change vendor.
    Overall download size: 154.7 MiB. Already cached: 0 B. After the operation, additional 525.8 MiB will be used.
    Continue? [y/n/? shows all options] (y):
    #
    #
    #
    Y si le doy en “(y)” me volvería a instalar todo lo que saque. Asi que hare eso del “zypper up”

    • Hola!

      También puedes ir a YaST →Instalar/desinstalar software y en la pestaña de Patrones desmarcar los “patterns” que quieras (openSUSE_games y openSUSE_KDE_games)

      Saludos.

  3. Hola,
    Estoy pensando en migrar a openSUSE, en principio me gustaría probar Tumbleweed. He configurado una instalación en Virtualbox para ir probando. Aunque más o menos lo tengo dominado, tengo una duda: Cuando instalo paquetes desde http://software.opensuse.org/search Yast ofrece la posibilidad de suscribirme a ciertos repositorios, algunos tengo claro que son sólo del paquete en cuestión. Sin embargo, hay otros que no tengo claro que sean sólo de ese paquete sino que también parece que contengan otros paquetes de la rama Factory.

    Un ejemplo, al instalar Feedreader, como puedes comprobar en este pantallazo me ofrece la posibilidad de suscribirme a 4 repositorios:

    No tengo para nada claro cual es el repositorio desde el que se instala la aplicación, tengo miedo a mezclar repositorios y que al actualizar se mezclen paquetes con lo que el sistema se me podría ir al garete. Pero, por otro lado, si no suscribo, en teoría, Feedreader no se actualizaría a nuevas versiones, por lo que también es un incordio.

    Así pues, después de este rollazo (XD)… ¿Que debería hacer?

    Saludos y muchas gracias por tu ayuda!!

    • Hola!

      El repositorio oss ya debería estar instalado en tu sistema.
      Será que te manda suscribirte a todos quizás por alguna dependencia que este en uno de esos repositorios.
      Mantén la suscripción a los repositorios, y después de instalar, baja la prioridad a Packman (menor el número de prioridad, más alta la prioridad)

      Saludos.

  4. Hola!!
    Efectivamente, el repositorio OSS ya lo tengo instalado. Esta es la configuración de mis repositorios después de instalar algunos paquetes y aún faltando más:

    Para que lo entienda bien… Si doy prioridad de 98 a Packman conseguiré:
    – Que se actualicen las aplicaciones que instale desde Yast/Packman, obvio ;).
    – Que se actualicen las aplicaciones que instale desde el buscador (como por ejemplo, Feedreader, indicator-application-gtk2, xfce4-indicator-plugin u otras)
    – Que estos repositorios extra añadidos no me actualicen paquetes y se me rompa el sistema cuando haya las actualizaciones semanales.

    ¿Es correcto?

    Muchísimas gracias y un saludo!! 😀

    • yo tengo la prioridad en 70.
      con eso, consigues que paquetes que puedan estar en diferentes repositorios pero con distintas versiones, se actualicen desde el repo de packman (si están disponibles en ese, claro! 🙂 )
      Saludos.

  5. Vale, capto la idea… Esto sería un ejemplo:
    Packman prioridad en 70
    Repositorio principal, OSS y non-OSS en, por decir algo, prioridad en 85
    El resto prioridad a 99

    ¿Como lo ves?

    Muchísimas gracias por tu paciencia y un saludo!! 😀

    • Yo también espero que me guste openSUSE… Después de muchos años usando Ubuntu y Unity he decidido cambiar de aires. Ahora estoy en Manjaro Xfce, y aunque me gusta mucho tengo algunos problemas en mi portátil que no termino de solucionar, así que he decidido seguir probando.

      Saludos. 😀

Me gustaría saber tu opinión. Deja un comentario (Puedes usar MarkDown)

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s